## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

%global _description %{expand:
In computer science, a topological sort (sometimes abbreviated topsort or
toposort) or topological ordering of a directed graph is a linear ordering of
its vertices such that for every directed edge uv from vertex u to vertex v, u
comes before v in the ordering.}

Name:           python-toposort
Version:        1.10
Release:        %autorelease
Summary:        Implements a topological sort algorithm

# SPDX
License:        Apache-2.0
URL:            https://pypi.python.org/pypi/toposort
Source0:        %{pypi_source toposort}
BuildArch:      noarch

%description %_description

%package -n python3-toposort
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-toposort %_description

%prep
%autosetup -n toposort-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l toposort

%check
%if %{with tests}
%{py3_test_envvars} '%{python3}' -m test.test_toposort
%endif

%files -n python3-toposort -f %{pyproject_files}
%doc CHANGES.txt
%doc README.md

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10-8
- Assert that the .dist-info directory contains a license file

* Thu Oct 12 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10-7
- Avoid repeating the summary text

* Thu Oct 12 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10-6
- Drop explicit “-r” for %%pyproject_buildrequires (now the default)

* Thu Oct 12 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10-5
- Use new (rpm 4.17.1+) bcond style

* Thu Oct 12 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10-4
- F38+: Use %%{py3_test_envvars} to set up the test environment

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.10-2
- Rebuilt for Python 3.12

* Tue Feb 28 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.10-1
- feat: update to 1.10 (fixes rhbz#2173337)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 16 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.9-1
- feat: update to 1.9

* Tue Jan 10 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.8-1
- feat: update to 1.8 (fixes rhbz#2159693)

* Tue Jan 10 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.7-6
- feat: use SPDX license

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.7-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7-1
- Update to 1.7 (close RHBZ#2032681)
- Port to pyproject-rpm-macros (a necessity; upstream drops setup.py)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 1.6-1
- Updated to v1.6

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.5-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Aug 28 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 1.5.0-1
- Initial build

## END: Generated by rpmautospec
